#encoding: UTF-8
=begin
/***************************************************************************
 *  Copyright © 2015-2015, Michael Uplawski <michael.uplawski@uplawski.eu> *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
=end

=begin
 Some constants, which might be intersting to modify.
=end

# Le modèle de la page HTML à génerer.  Doit contenir des « champs ».
SOURCE = "_inventaire.html"

# le symbole qui marque un « champ » dans le modèle au dessus.
# Par exemple : %-à remplacer-% 
DELIM = '%-'

# Le nom du futur fichier d'inventaire.
TARGET = "inventaire.html"

# Un fichier « intermédiaire » qui permet d'expliquer les fichiers dans la
# liste, en bloc ou un par un.
LIST = 'inventory.txt'

# Les extensions qui définissent quel type de fichier sera inclut dans la liste
# de l'inventaire.
EXTENSIONS = %w~ 
	.pdf
	.doc
	.odt
	.txt
	.ods
	.xls
	.xlsx
	.docx
~

# Le charactère qui séparera les noms de fichier (gauche) du commentaire
# (droite) dans le fichier « LIST » (voir au dessus)
SPLT = "\t"


